WhatsApp API Platform
Webhooks

Get Webhook Endpoint

GET
/api/v1/waba/webhooks/{endpointId}

Authorization

ApiKeyAuth
X-API-Key<token>

API key from your dashboard (Settings > API Keys)

In: header

Path Parameters

endpointId*string

The webhook endpoint's id.

Query Parameters

waba_id*string

The WhatsApp number (WABA) these webhooks belong to.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/waba/webhooks/string?waba_id=string"
{
  "success": true,
  "data": {
    "id": "ep_1srOrx2ZWZBpBUvZwXKQmoEYga2",
    "url": "https://example.com/hooks/pingmate",
    "description": "string",
    "disabled": true,
    "event_types": [
      "string"
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "message": "to field is required"
}
{
  "success": false,
  "message": "user not authenticated"
}
{
  "success": false,
  "message": "forbidden"
}
{
  "success": false,
  "message": "webhook endpoint not found"
}
{
  "success": true,
  "message": "string"
}